FROM openshift/golang-builder:1.12 AS builder
ENV __doozer=update BUILD_RELEASE=202006160135 BUILD_VERSION=v4.3.26 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=26 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.26-202006160135 
ENV __doozer=merge OS_GIT_COMMIT=b033473 OS_GIT_VERSION=4.3.26-202006160135-b033473 SOURCE_DATE_EPOCH=1591836526 SOURCE_GIT_COMMIT=b033473ff86183a5389b720ada21b6cb955e9405 SOURCE_GIT_TAG=v1.0.0-177-gb033473 SOURCE_GIT_URL=https://github.com/openshift/cluster-version-operator 
WORKDIR /go/src/github.com/openshift/cluster-version-operator
COPY . .
RUN hack/build-go.sh; \
    mkdir -p /tmp/build; \
    cp _output/linux/$(go env GOARCH)/cluster-version-operator /tmp/build/cluster-version-operator

FROM openshift/ose-base:v4.3.26.20200616.013506
ENV __doozer=update BUILD_RELEASE=202006160135 BUILD_VERSION=v4.3.26 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=26 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.26-202006160135 
ENV __doozer=merge OS_GIT_COMMIT=b033473 OS_GIT_VERSION=4.3.26-202006160135-b033473 SOURCE_DATE_EPOCH=1591836526 SOURCE_GIT_COMMIT=b033473ff86183a5389b720ada21b6cb955e9405 SOURCE_GIT_TAG=v1.0.0-177-gb033473 SOURCE_GIT_URL=https://github.com/openshift/cluster-version-operator 
COPY --from=builder /tmp/build/cluster-version-operator /usr/bin/
COPY install /manifests
COPY vendor/github.com/openshift/api/config/v1/0000_00_cluster-version-operator_01_clusterversion.crd.yaml /manifests/
COPY vendor/github.com/openshift/api/config/v1/0000_00_cluster-version-operator_01_clusteroperator.crd.yaml /manifests/
COPY bootstrap /bootstrap
ENTRYPOINT ["/usr/bin/cluster-version-operator"]

LABEL \
        name="openshift/ose-cluster-version-operator" \
        com.redhat.component="cluster-version-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Cluster Version Operator" \
        version="v4.3.26" \
        release="202006160135" \
        io.openshift.build.commit.id="b033473ff86183a5389b720ada21b6cb955e9405" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-version-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-version-operator/commit/b033473ff86183a5389b720ada21b6cb955e9405"

